Skip to content

Workflow Actions (0.0.2)

Overview

Workflow Actions APIs enable management of reusable action configurations that define steps within enrollment and onboarding workflows. These actions determine the behavior and prompts presented to users during network enrollment processes, such as authentication screens, terms acceptance, data collection forms, and certificate provisioning. Use these APIs to create, update, retrieve, and delete workflow action configurations for your organization.

Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Enrollment Action API

Manages enrollment actions for workflow configuration.

Operations

Get All Enrollment Actions

Request

Gets all enrollment actions across action types.

Query
sizeinteger(int32)

Number of records in a page. Will be defaulted to 20 if not specified or found invalid.

Example: size=20
pageinteger(int32)

The page to retrieve (starts at zero). Will be defaulted to 0 if not specified or found invalid

sortstring

The field names to sort with. Comma separated from the sort order (asc or desc). Allowed values are name, description, actionType and version.

Example: sort=actionType,name,asc
No request payload

Responses

Ok

Body
totalPagesinteger(int32)

Total number of pages available.

totalElementsinteger(int64)

Total number of items across all pages.

firstboolean

Indicates if this is the first page.

lastboolean

Indicates if this is the last page.

sizeinteger(int32)
contentArray of any

List of items for the current page.

numberinteger(int32)

Current page number starting from zero.

sortobject(SortObject)

Sorting information for ordering the results.

pageableobject(PageableObject)

Page request information including page number and size.

numberOfElementsinteger(int32)

Number of items in the current page.

emptyboolean

Indicates if the page contains no items.

Response
{ "totalPages": 0, "totalElements": 0, "first": true, "last": true, "size": 0, "content": [ null ], "number": 0, "sort": { "empty": true, "unsorted": true, "sorted": true }, "pageable": { "offset": 0, "sort": { … }, "unpaged": true, "paged": true, "pageNumber": 0, "pageSize": 0 }, "numberOfElements": 0, "empty": true }

Create Enrollment Action

Request

Allows user to create various enrollment actions across action types.

Bodyrequired

Enrollment action configuration. The actionType field determines which specific action type to use. Valid actionType values: AUP, DATA_PROMPT, USER_SELECTION_SPLIT, DISPLAY_MESSAGE, DPSK, MAC_REG, USER_SELECTION_SPLIT_OPTION, PASSPHRASE.

No response example

Responses

Accepted

Body*/*
requestIdstring

Request ID for tracking the accepted request.

idstring(uuid)

ID of the created or updated enrollment action.

Query Enrollment Actions

Request

Gets the list of enrollment actions using the specified query.

Body

Search criteria and pagination details

sortDirectionstring

Direction to sort results in ascending or descending order.

Enum"ASC""DESC"
pageinteger(int32)

Page number. If not specified the first page will be returned.

pageSizeinteger(int32)

Number of records in a page.If not specified default page size of 20 will be applied.

idstring(uuid)

Action id.

namestring[ 0 .. 100 ] characters

Action name.

descriptionstring[ 0 .. 1000 ] characters

Action description.

actionTypestring

Type of enrollment action to filter by.

Enum"AUP""DATA_PROMPT""DPSK""USER_SELECTION_SPLIT""USER_SELECTION_SPLIT_OPTION""FUNCTIONAL_SPLIT""FUNCTIONAL_SPLIT_OPTION""DISPLAY_MESSAGE""MAC_REG""CERT_TEMPLATE"
versionstring

Version.

parentActionIdstring(uuid)

ID of the parent action for filtering.

sortFieldsArray of strings

List of field names to sort results by.

{ "sortDirection": "ASC", "page": 0, "pageSize": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "actionType": "AUP", "version": "string", "parentActionId": "12f46041-18d6-4f38-a710-58558c6996db", "sortFields": "id" }

Responses

ok

Body
totalPagesinteger(int32)

Total number of pages available.

totalElementsinteger(int64)

Total number of items across all pages.

firstboolean

Indicates if this is the first page.

lastboolean

Indicates if this is the last page.

sizeinteger(int32)
contentArray of any

List of items for the current page.

numberinteger(int32)

Current page number starting from zero.

sortobject(SortObject)

Sorting information for ordering the results.

pageableobject(PageableObject)

Page request information including page number and size.

numberOfElementsinteger(int32)

Number of items in the current page.

emptyboolean

Indicates if the page contains no items.

Response
{ "totalPages": 0, "totalElements": 0, "first": true, "last": true, "size": 0, "content": [ null ], "number": 0, "sort": { "empty": true, "unsorted": true, "sorted": true }, "pageable": { "offset": 0, "sort": { … }, "unpaged": true, "paged": true, "pageNumber": 0, "pageSize": 0 }, "numberOfElements": 0, "empty": true }

Get Enrollment Action by Identifier

Request

Gets enrollment action configuration for the requested action identifier.

Path
actionIdstringnon-emptyrequired

Action Id

No request payload

Responses

Ok

Body
contentany

The actual item data.

_linksobject(Links)
Response
{ "content": null, "_links": { "property1": { … }, "property2": { … } } }

Delete Specific Enrollment Actions

Request

Allows the user to delete enrollment action with the given id.

Path
actionIdstring(uuid)required

Action Id

No request payload

Responses

Accepted

Body
requestIdstring

Request ID for tracking the accepted request.

idstring(uuid)

ID of the created or updated enrollment action.

Response
{ "requestId": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }

Selectively Updates Enrollment Actions

Request

Allows the user to selectively update enrollment actions.

Path
actionIdstring(uuid)required

Action Id

Bodyrequired

Map of field names to new values for selective update. Only include fields that need to be updated.

string

Key-value pairs where keys are field names and values are the new field values.

"string"

Responses

Accepted

Headers
Locationstring

Updated enrollment action

Body*/*
contentany

The actual item data.

_linksobject(Links)

Enrollment Action Files API

Manages enrollment action files.

Operations

Enrollment Action Type API

Manages enrollment actions for specific action types.

Operations